Delete Node

Delete Node
Delete proxy node

The proxy id is required for deleting a proxy node which can either be NodeId or model key. Examples : 10000:901:649591578347200326 (id) or IAPG7M8JS18458ROSJQRGQ0LLV (node_id). Only the admin user can perform this operation. Only the proxy nodes can be deleted using this API.

Request
URI
DELETE
https://{api_host}/api/ni/infra/nodes/{id}
COPY
Path Parameters
string
id
Required

The Entity ID of object requestion information on


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Node of type(s) application/json
{
    "id": "18230:901:1585583463",
    "entity_type": "NODE",
    "node_type": "PROXY_VM",
    "node_id": "IOYHU2J",
    "ip_address": "10.126.103.156"
}
string
id
Optional

id

string
entity_type
Optional

entity_type

string
node_type
Optional

node_type

Possible values are : PROXY_VM, PLATFORM_VM,
string
node_id
Optional

node_id

string
ip_address
Optional

ip_address

string
ipv6_address
Optional

ipv6_address

string
name
Optional

name

boolean
is_physical_flow_collector
Optional

is_physical_flow_collector

object
sddc_details
Optional

sddc_details

string
version
Optional

version

object
health
Optional

health

integer As int64 As int64
registered_timestamp
Optional

registered_timestamp

integer As int64 As int64
last_updated_timestamp
Optional

last_updated_timestamp


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


404

Not Found

Returns NotFoundResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/ni/infra/nodes/{id}